package org.processmining.niektax.temporalrelations.model;

import java.util.List;

public class ManualSplitBoundaries extends SplitBoundaries{
	private static final long serialVersionUID = -2760009508824824082L;

	protected ManualSplitBoundaries(String firstActivity, String secondActivity) {
		super(firstActivity, secondActivity);
	}

	public ManualSplitBoundaries(String firstActivity, String secondActivity, List<Boundary> areas){
		super(firstActivity, secondActivity);
		this.addAll(areas);
	}
	
	public ManualSplitBoundaries(){
		super("","");
		this.firstActivity  = "";
		this.secondActivity = "";
	}
	
	public void setFirstActivity(String firstActivity){
		this.firstActivity = firstActivity;
	}
	
	public void setSecondActivity(String secondActivity){
		this.secondActivity = secondActivity;
	}
}
