package org.processmining.niektax.temporalrelations.model;

import org.deckfour.xes.model.XLog;

import com.google.common.collect.Table;

public abstract class SplitBoundariesRetriever {
	protected XLog log;
	protected TimeSplitterParameters tsp;
	
	public SplitBoundariesRetriever(XLog log, TimeSplitterParameters tsp){
		this.log = log;
		this.tsp = tsp;
	}
	
	public abstract Table<String, String, SplitBoundaries> obtainSplitBoundaries();
}
