package org.processmining.niektax.temporalrelations.model.dissimilarity;

public enum DissimilarityMetrics {
    BINOMIAL_TEST("Exact Binomial Test"),
    CHI_SQUARE_TEST("Chi Square Test"),
    HEURISTIC("Heuristic"),
    FISHER_TEST("Fisher's Exact Test")
    ;

    private final String text;

    /**
     * @param text
     */
    private DissimilarityMetrics(final String text) {
        this.text = text;
    }


    @Override
    public String toString() {
        return text;
    }
}
